Download it now!
Bug 49968 - FILEOPEN: RTF filter is still buggy since 3.4.5
Summary: FILEOPEN: RTF filter is still buggy since 3.4.5
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:3.6.0 target:3.5.5
Keywords: filter:rtf, regression
Depends on:
Blocks:
 
Reported: 2012-05-15 13:16 UTC by Alexander
Modified: 2015-12-17 12:06 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander 2012-05-15 13:16:01 UTC
Can't open some RTF files in new 3.5.3 for Windows. No problem with outdated 3.4.5. WTF?

Example #1 (2 Mb): http://rghost.net/38106855
Example #2 (13 Mb): http://rghost.net/38104734

Platform: Windows 7x64 SP1, modern processor, RAM & HDD.
Comment 1 s-joyemusequna 2012-05-16 05:28:15 UTC
Confirmed. Both files open instantly (< 1 sec.) with LibO 3.4.5 and Word 2007 under Windows Vista 64. 

LOdev 3.6 (master - 14-May-2012 02h55 x86@6-fast; Build ID: 347e345) hangs when opening these files (killed LibO after waiting several minutes).
Comment 2 Caolán McNamara 2012-05-30 05:43:01 UTC
http://cgit.freedesktop.org/libreoffice/core/commit/?id=651d045cddf8fd238999cb3442e87410f1a8e1df might help, or at least provide some additional ideas for a final optimized solution
Comment 3 Not Assigned 2012-05-30 06:30:07 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a5328cf5605cdc243522eddcaffe7336196a4900

fdo#49968 speed up RTF import of repeated character/paragraph properties
Comment 4 Miklos Vajna 2012-05-30 06:49:39 UTC
Any of the above commits would help, but the second is easier to backport. Marking as resolved (in master) for now.
Comment 5 Not Assigned 2012-06-04 04:30:17 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d366ae2031d13f3198cb58c715f18e8c8ce8686f&g=libreoffice-3-5

fdo#49968 speed up RTF import of repeated character/paragraph properties


It will be available in LibreOffice 3.5.5.
Comment 6 s-joyemusequna 2012-06-06 11:22:12 UTC
Verified with LOdev 3.7 (master - 06-Jun-2012 04h12 x86@6-fast; Build ID: b255de8) under Windows Vista 64.
Comment 7 Robinson Tryon (qubit) 2015-12-17 12:06:40 UTC Comment hidden (obsolete)